Retrieve Submission Import Results
After Vault has finished processing the submission import job, use this request to retrieve the results of the completed submission binder.
Before submitting this request:
- You must be assigned permissions to use the API and permissions to view the specified
submission__vobject record. - There must be a previously submitted and completed submission import request, i.e., the status of the import job must be no longer active.
GET
/api/{version}/vobjects/submission_\_v/{submission_id}/actions/import/{job_id}/resultsHeaders
Section link for Headers| Name | Description |
|---|---|
Accept | application/json (default) or application/xml |
URI Path Parameters
Section link for URI Path Parameters| Name | Description |
|---|---|
{submission_id} | The id field value of the submission__v object record. To get this value, use VQL to retrieve all records on the submission__v object. |
{job_id} | The jobId field value returned from the Import Submission request. |
Request
Section link for Requestcurl -X GET -H "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/v26.1/vobjects/submission__v/00S000000000101/actions/import/1301/resultsResponse
Section link for Response{
"responseStatus": "SUCCESS",
"data": [
{
"responseStatus": "SUCCESS",
"id": 16,
"major_version_number__v": "1",
"minor_version_number__v": "0"
}
]
}Response Details
Section link for Response DetailsOn SUCCESS, the response includes the following information:
| Field Name | Description |
|---|---|
id | The id field value of the submission binder which was created by the imported files. |
major_version_number__v | The major version number of the binder. |
minor_version_number__v | The minor version number of the binder. |
To retrieve the metadata from the newly created submission binder, send GET to /api/{version}/objects/binders/{id}.